import React from 'react'

export default function ListPoster(props) {
  const selected = props.selected ? ' thumbnail-selected' : '';
  const imgClass = 'thumbnail' + selected;
  const displayClearFixLg = (props.index % 6) === 0;
  const displayClearFixMd = (props.index % 4) === 0;
  const displayClearFixSm = (props.index % 2) === 0;
  return (
    <div>
      {displayClearFixLg &&
        <div className="clearfix visible-lg"></div>
      }
      {displayClearFixMd &&
        <div className="clearfix visible-md"></div>
      }
      {displayClearFixSm &&
        <div className="clearfix visible-sm"></div>
      }
      <div className="col-xs-12 col-sm-6 col-md-3 col-lg-2">
        <a className={imgClass}>
          <img
            src={props.data.poster_url}
            onClick={props.onClick}
          />
        </a>
      </div>
    </div>
  );
}
